Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I am using below command to install gcc on my laptop running fedora 17.

yum install gcc

But I am getting strange output.

Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-                transaction first to finish them.
--> Running transaction check
---> Package gcc.x86_64 0:4.7.0-5.fc17 will be installed
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.7.0-5.fc17.x86_64
--> Running transaction check
---> Package glibc-devel.x86_64 0:2.15-37.fc17 will be installed
--> Processing Dependency: glibc-headers = 2.15-37.fc17 for package: glibc-devel-2.15-37.fc17.x86_64
--> Processing Dependency: glibc = 2.15-37.fc17 for package: glibc-devel-2.15-37.fc17.x86_64
--> Processing Dependency: glibc-headers for package: glibc-devel-2.15-37.fc17.x86_64
--> Running transaction check
---> Package glibc-devel.x86_64 0:2.15-37.fc17 will be installed
--> Processing Dependency: glibc = 2.15-37.fc17 for package: glibc-devel-2.15-37.fc17.x86_64
---> Package glibc-headers.x86_64 0:2.15-37.fc17 will be installed
--> Processing Dependency: glibc = 2.15-37.fc17 for package: glibc-headers-2.15-37.fc17.x86_64
--> Finished Dependency Resolution
Error: Package: glibc-headers-2.15-37.fc17.x86_64 (fedora)
       Requires: glibc = 2.15-37.fc17
       Installed: glibc-2.15-56.fc17.i686 (@updates)
           glibc = 2.15-56.fc17
       Available: glibc-2.15-37.fc17.i686 (fedora)
           glibc = 2.15-37.fc17
Error: Package: glibc-devel-2.15-37.fc17.x86_64 (fedora)
       Requires: glibc = 2.15-37.fc17
       Installed: glibc-2.15-56.fc17.i686 (@updates)
           glibc = 2.15-56.fc17
       Available: glibc-2.15-37.fc17.i686 (fedora)
           glibc = 2.15-37.fc17
 You could try using --skip-broken to work around the problem
** Found 141 pre-existing rpmdb problem(s), 'yum check' output follows:
1:NetworkManager-0.9.4.0-9.git20120521.fc17.x86_64 is a duplicate with 1:NetworkManager-    0.9.4.0-7.git20120403.fc17.x86_64
1:NetworkManager-glib-0.9.4.0-9.git20120521.fc17.x86_64 is a duplicate with     1:NetworkManager-glib-0.9.4.0-7.git20120403.fc17.x86_64
PackageKit-0.7.5-1.fc17.x86_64 is a duplicate with PackageKit-0.7.4-3.fc17.x86_64
PackageKit-glib-0.7.5-1.fc17.x86_64 is a duplicate with PackageKit-glib-0.7.4-    3.fc17.x86_64
PackageKit-yum-0.7.5-1.fc17.x86_64 is a duplicate with PackageKit-yum-0.7.4-3.fc17.x86_64
abrt-2.0.10-4.fc17.x86_64 is a duplicate with abrt-2.0.10-3.fc17.x86_64
abrt-addon-ccpp-2.0.10-4.fc17.x86_64 is a duplicate with abrt-addon-ccpp-2.0.10-3.fc17.x86_64
abrt-addon-kerneloops-2.0.10-4.fc17.x86_64 is a duplicate with abrt-addon-kerneloops-2.0.10-3.fc17.x86_64
abrt-addon-python-2.0.10-4.fc17.x86_64 is a duplicate with abrt-addon-python-2.0.10-3.fc17.x86_64
abrt-addon-vmcore-2.0.10-4.fc17.x86_64 is a duplicate with abrt-addon-vmcore-2.0.10-3.fc17.x86_64................

Currently my /etc/yum.repos.d/ folder has only one file fedora.repo.

Contents of fedora.repo.Contents of this file looks ok to me.Is there any other location I should check ?

[fedora]
name=Fedora $releasever - $basearch
failovermethod=priority
    #baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/    $basearch/os/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-    $releasever&arch=$basearch
enabled=1
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

[fedora-debuginfo]
name=Fedora $releasever - $basearch - Debug
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/    $basearch/debug/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-debug-    $releasever&arch=$basearch
enabled=0
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

[fedora-source]
name=Fedora $releasever - Source
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/    source/SRPMS/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-source-  $releasever&arch=$basearch
enabled=0
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
share|improve this question
add comment

1 Answer

The answer is all in the "strange output". First off, it says, "here are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them."

Then you have a bunch of dependency issues. It says, "You could try using --skip-broken to work around the problem".

The interesting thing that I see is that you have more up to date dependencies than those required...

Error: Package: glibc-headers-2.15-**37**.fc17.x86_64 (fedora)
       Requires: glibc = 2.15-**37**.fc17
       Installed: glibc-2.15-**56**.fc17.i686 (@updates)
           glibc = 2.15-**56**.fc17
       Available: glibc-2.15-**37**.fc17.i686 (fedora)
           glibc = 2.15-**37**.fc17
share|improve this answer
    
yum distribution-synchronzation <packages> should cleanup the version skews. –  vonbrand Feb 25 '13 at 2:53
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.